<!DOCTYPE html>
<html lang="en">
<head>
    <title>Document</title>
</head>
<body>
    
    <form>
    
        <section>
            <p>DataList</p>

            <fieldset>
                <label for="inputLista"> Orden de colores </label>
                <input list="listacolores" name="inputLista" >
                <datalist id="listacolores">
                    <option value="Azul">
                    <option value="Rojo">
                    <option value="Amarillo">
                    <option value="Negro">
                    <option value="Blanco">
                </datalist>
            </fieldset>
        </section>

        <section>
            <p>Url input</p>
            <fieldset>
                <label for="url"> Lista urls </label>
                <input type="url" name="url" id="ur"
                    placeholder="https://example.com"
                    pattern="https://.*" size="30"
                    list="listaurls"
                    required>
                <datalist id="listaurls">
                    <option value="https://www.google.com.mx/?hl=es-419">
                        <option value="https://www.msn.com/es-mx/">
                </datalist>
            </fieldset>
        </section>

        <section>
            <p>Range</p>

            <fieldset>
                <label for="range"> Rangos </label>
                <input type="range" list="listanums" step="1" name="range" max="6" min="0" >
                
                <datalist id="listanums">
                    <option value="0" label="cero">
                    <option value="1" label="uno">
                    <option value="2" label="dos">
                    <option value="3" label="tres">
                    <option value="4" label="cuatro">
                    <option value="5" label="cinco">
                </datalist>

            </fieldset>
        </section>

        <br>
        <input type="submit" name="btn_enviar" value="Enviar">
        <input type="reset" name="btn_limpiar" value="Limpiar">
    </form>

</body>
</html>